import 'package:flutter/material.dart' as material;

class Theme {
  static material.ThemeData dark() {
    var baseTextStyle = material.TextStyle(
      color: material.Colors.white,
      fontWeight: material.FontWeight.w400,
    );

    return material.ThemeData.dark().copyWith(
      primaryColor: material.Colors.grey[850],
      scaffoldBackgroundColor: material.Colors.grey[900],
      accentColor: material.Colors.blue[800],
      textTheme: material.TextTheme(
        // headers
        headline1: baseTextStyle.copyWith(
          fontSize: 23,
          fontWeight: material.FontWeight.w500,
        ),
        headline2: baseTextStyle.copyWith(
          fontSize: 23,
        ),
        headline3: baseTextStyle.copyWith(
          fontSize: 21,
          fontWeight: material.FontWeight.w500,
        ),
        headline4: baseTextStyle.copyWith(
          fontSize: 21,
        ),
        headline5: baseTextStyle.copyWith(
          fontSize: 19,
          fontWeight: material.FontWeight.w500,
        ),
        headline6: baseTextStyle.copyWith(
          fontSize: 19,
        ),
        // subtitle
        subtitle2: baseTextStyle.copyWith(
          fontSize: 17,
          fontWeight: material.FontWeight.w500,
        ),
        subtitle1: baseTextStyle.copyWith(
          fontSize: 17,
        ),
        // bodyText
        bodyText2: baseTextStyle.copyWith(
          fontSize: 15,
          fontWeight: material.FontWeight.w500,
        ),
        bodyText1: baseTextStyle.copyWith(
          fontSize: 15,
        ),
        // button
        button: baseTextStyle.copyWith(
          fontSize: 15,
          fontWeight: material.FontWeight.w500,
        ),
        // caption
        caption: baseTextStyle.copyWith(
          fontSize: 13,
        ),
        // overline
        overline: baseTextStyle.copyWith(
          fontSize: 13,
        ),
      ),
    );
  }

  static material.ThemeData light() {
    var baseTextStyle = material.TextStyle(
      color: material.Colors.black,
      fontWeight: material.FontWeight.w400,
    );

    return material.ThemeData.light().copyWith(
      primaryColor: material.Colors.white,
      scaffoldBackgroundColor: material.Colors.grey[300],
      accentColor: material.Colors.blue,
      textTheme: material.TextTheme(
        // headers
        headline1: baseTextStyle.copyWith(
          fontSize: 23,
          fontWeight: material.FontWeight.w500,
        ),
        headline2: baseTextStyle.copyWith(
          fontSize: 23,
        ),
        headline3: baseTextStyle.copyWith(
          fontSize: 21,
          fontWeight: material.FontWeight.w500,
        ),
        headline4: baseTextStyle.copyWith(
          fontSize: 21,
        ),
        headline5: baseTextStyle.copyWith(
          fontSize: 19,
          fontWeight: material.FontWeight.w500,
        ),
        headline6: baseTextStyle.copyWith(
          fontSize: 19,
        ),
        // subtitle
        subtitle2: baseTextStyle.copyWith(
          fontSize: 17,
          fontWeight: material.FontWeight.w500,
        ),
        subtitle1: baseTextStyle.copyWith(
          fontSize: 17,
        ),
        // bodyText
        bodyText2: baseTextStyle.copyWith(
          fontSize: 15,
          fontWeight: material.FontWeight.w500,
        ),
        bodyText1: baseTextStyle.copyWith(
          fontSize: 15,
        ),
        // button
        button: baseTextStyle.copyWith(
          fontSize: 15,
          fontWeight: material.FontWeight.w500,
        ),
        // caption
        caption: baseTextStyle.copyWith(
          fontSize: 13,
        ),
        // overline
        overline: baseTextStyle.copyWith(
          fontSize: 13,
        ),
      ),
    );
  }

  static material.ThemeData of(material.BuildContext context) {
    return material.Theme.of(context).brightness == material.Brightness.light
        ? light()
        : dark();
  }
}
