import 'package:flx_ui/flx_ui.dart';

class FlatCard extends StatelessWidget {
  final double? width;
  final double? height;

  final Color? color;

  final double? borderRadius;

  final double? borderWidth;

  final Widget child;

  const FlatCard({
    Key? key,
    required this.child,
    this.width,
    this.height,
    this.borderRadius,
    this.borderWidth,
    this.color,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var inBorderRadius = (borderRadius ?? 12);
    var inBorderWidth = (borderWidth ?? 1);
    var inColor = color ?? ColorTheme.primary(context);

    return Container(
      width: width,
      height: height,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(inBorderRadius),
        border: Border.all(
          color: Colors.black12,
          width: inBorderWidth,
        ),
      ),
      child: Container(
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(inBorderRadius - inBorderWidth),
          color: inColor,
        ),
        child: child,
      ),
    );
  }
}
